const path = require('path');
const nodeExternals = require('webpack-node-externals');
const EsLint = require('eslint-webpack-plugin');

module.exports = {
	entry: {
		main: path.resolve(__dirname, '../src/client/main.tsx'),
		admin: path.resolve(__dirname, '../src/client/admin.tsx'),
	},
	output: {
		filename: '[name].bundle.js',
		path: path.resolve(__dirname, '../dist/client'),
	},
	target: 'web',
	resolve: {
		extensions: ['.ts', '.tsx', '.js', '.json']
	},
	module: {
		rules: [{
			test: /\.tsx?$/,
			loader: 'babel-loader',
			include: path.join(__dirname, '../src/client'),
		}],
	},
	plugins: [
		new EsLint({
			extensions: ['.ts', '.tsx'],
			context: path.join(__dirname, '../src/client'),
		}),
	],
};
