import React from 'react';

interface PresentationProps {
	name: string;
	status: string;
	description: any;
	image: string;
}


/**
 * @return {jsx} The root component
 */
export default function Presentation(
	{name, status, description, image}: PresentationProps) {
	const imageDivStyle = {
		width: '33%',
	};

	const imageStyle = {
		width: '250px',
		height: '250px',
	};

	const style = {
		width: '67%',
	};

	return (
		<React.Fragment>
			<div className='container d-flex py-5 justify-content-between'>
				<div style={imageDivStyle}>
					<img className='rounded-circle'
						style={imageStyle}
						src={'/static/images/' + image}></img>
				</div>
				<div style={style}>
					<h3 className='font-weight-bold'>
						{name}
					</h3>
					<small>{status}</small>
					<br />
					<br />
					<p>{description}</p>
				</div>
			</div>
		</React.Fragment>
	);
}
