import Sequelize, {DataTypes, Model} from 'sequelize';
import sequelize from '../dbobject';

export interface userI extends Model {
	id: string;
	name: string;
	email: string;
	verifiedemail: boolean;
	password: string;
}

const User = sequelize.define<userI>('user', {
	id: {
		type: DataTypes.UUID,
		allowNull: false,
		unique: true,
		primaryKey: true,
		defaultValue: Sequelize.UUIDV4,
	},
	name: {
		type: DataTypes.STRING,
		allowNull: false,
		unique: true,
	},
	email: {
		type: DataTypes.STRING,
		allowNull: false,
		unique: true,
	},
	verifiedemail: {
		type: DataTypes.BOOLEAN,
		allowNull: false,
	},
	password: {
		type: DataTypes.STRING,
		allowNull: false,
	},
});

export default User;
